package com.ruoyi.yiqi.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 导入VO
 *
 * @author Lion Li
 */

@Data
@NoArgsConstructor
// @Accessors(chain = true) // 导入不允许使用 会找不到set方法
public class GImportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "行政区")
    private String district;
    @ExcelProperty(value = "小区")
    private String areaName;
    @ExcelProperty(value = "楼宇")
    private String buildName;
    @ExcelProperty(value = "单元")
    private String unitName;
    @ExcelProperty(value = "房屋")
    private String houseName;

}
