package com.ruoyi.yiqi.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 小区对象 g_area
 *
 * @author ruoyi
 * @date 2021-11-15
 */
@Data
@TableName("yq_g_area")
public class YqGArea extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 小区名
     */
    private String name;
    /**
     * 负责工长
     */
    private Long userId;
    /**
     * 删除标志
     */
    @TableLogic
    private String delFlag;
    /**
     *是否释放
     */
    private String releaseIs;
    /**
     * 释放人
     */
    private String releaseBy;
    /**
     * 行政区
     */
    private String district;
    /**
     * 核算行政区
     */
    private String calculateDistrictId;
    /**
     /**
     * 核算行政区
     */
    private String calculateDistrictName;
    /**
     * 小区规模
     */
    private Double areaSize;
    /**
     * 所属包
     */
    private String affiliatedPackage;
    /**
     * 分页大小
     */
    @TableField(exist = false)
    private Integer pageSize;
    @TableField(exist = false)
    private String rate;
    /**
     * 当前页数
     */
    @TableField(exist = false)
    private Integer pageNum;
}
