package com.ruoyi.yiqi.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 其他工程照片对象 g_engine_photo
 *
 * @author ruoyi
 * @date 2021-11-22
 */
@Data
@Accessors(chain = true)
@TableName("yq_g_engine_photo")
public class YqGEnginePhoto extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 工程id
     */
    private Long engineId;
    /**
     * 照片
     */
    private String picUrl;
    /**
     * 删除标志
     */
    @TableLogic
    private String delFlag;

}
