package com.ruoyi.yiqi.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 房屋对象 g_house
 *
 * @author ruoyi
 * @date 2021-11-15
 */
@Data
@TableName("yq_g_house")
public class YqGHouse extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 房屋名
     */
    private String name;
    /**
     * 单元id
     */
    private Long unitId;
    @TableField(exist = false)
    private Long buildingId;
    @TableField(exist = false)
    private Long areaId;

    @TableField(exist = false)
    private String unitName;
    @TableField(exist = false)
    private String buildingName;
    @TableField(exist = false)
    private String areaName;
    /**
     * 删除标志
     */
    @TableLogic
    private String delFlag;

    /**
     * 分页大小
     */
    @TableField(exist = false)
    private Integer pageSize;

    /**
     * 当前页数
     */
    @TableField(exist = false)
    private Integer pageNum;
}
