package com.ruoyi.yiqi.enums;


/**
 * <p>
 * 枚举
 * </p>
 *
 * @author cxp
 * @since 2021-06-23
 */
public class Constants {

    /**
     * <p>
     * 字典配置
     * </p>
     *
     * @author cxp
     * @since 2020-09-02
     */
    public enum Dict {

        EXAMINE_STATUS001("审核状态", "examine_status", "001", "合格"),
        EXAMINE_STATUS002("审核状态", "examine_status", "002", "不合格"),

        ORDER_STATUS001("订单状态", "order_status", "001", "待审核"),
        ORDER_STATUS002("订单状态", "order_status", "002", "已完成"),


        SERVICE_TYPE001("服务类别", "service_type", "001", "上门未预"),
        SERVICE_TYPE002("服务类别", "service_type", "002", "正常施工"),
        SERVICE_TYPE003("服务类别", "service_type", "003", "不符合规定"),
        SERVICE_TYPE004("服务类别", "service_type", "004", "安检"),
        SERVICE_TYPE005("服务类别", "service_type", "005", "维修"),
        SERVICE_TYPE006("服务类别", "service_type", "006", "开栓"),

        RELEASE_STATUS001("释放状态", "release_status", "001", "未释放"),
        RELEASE_STATUS002("释放状态", "release_status", "002", "已释放"),



        ;
        /**
         * 编码
         */
        private String dictName;
        /**
         * 编码
         */
        private String code;
        /**
         * 字典值
         */
        private String itemValue;
        /**
         * 字典值描述
         */
        private String itemName;

        public String getDictName() {
            return dictName;
        }

        public String getCode() {
            return code;
        }

        public String getItemValue() {
            return itemValue;
        }

        public String getItemName() {
            return itemName;
        }

        Dict(String dictName, String code, String itemValue, String itemName) {
            this.dictName = dictName;
            this.code = code;
            this.itemValue = itemValue;
            this.itemName = itemName;
        }

    }

}
