package com.ruoyi.yiqi.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.yiqi.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 小区Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-15
 */
public interface YqGAreaMapper extends BaseMapperPlus<YqGAreaMapper, YqGArea, YqGArea> {

    Page<YqGArea> getList(@Param("p") YqGArea bo, Page<?> page);

    //小区下拉
    List<YqGArea> getArea();

    //小区户数
    int getHouse(Long id);

    //合格/不合格统计-小区
    List<GCensusVo> getExamineArea(Long areaId);
//小区服务统计
    List<GCensusVo> getExamineServe(Long id);

    List<GExportVo> getExportList();
    List<GExportsVo> getExport(YqGArea bo);
    String getDictNameOfAffiliatedPackage(YqGArea bo);

    //导入 查询是否已存在
    YqGArea getByName(String name);

    List<GCensusVo> getConform(Long areaId);

    int getInConform(Long areaId);

    int getHouseCount(Long areaId);

    YqGArea getForName(@Param("name") String name, @Param("id") String id);

    List<String> getPhoto(Long id);

    //导出小区完成率
    List<GAreaExportVo> getAllHouse(Long areaId);
    List<GAreaExportVo> getOrderHouse(Long areaId);

    Long checkDataList(@Param("p") YqGArea bo);

}
