package com.ruoyi.yiqi.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.yiqi.entity.YqGBuilding;
import com.ruoyi.yiqi.entity.YqGUnit;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 楼宇Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-15
 */
public interface YqGBuildingMapper extends BaseMapperPlus<YqGBuildingMapper, YqGBuilding, YqGBuilding> {

    Page<YqGBuilding> getList(@Param("p") YqGBuilding bo, Page<?> page);
    List<YqGBuilding> getBuilding(Long areaId);
    //导入 查询是否已存在
    YqGBuilding getByName(@Param("name")String name,@Param("areaId")Long areaId);
    List<YqGBuilding> getByNameList(@Param("name")String name,@Param("areaId")Long areaId);
    Long checkDataList(@Param("p") YqGBuilding bo);

}
