package com.ruoyi.yiqi.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.yiqi.entity.YqGUnit;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 单元Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-15
 */
public interface YqGUnitMapper extends BaseMapperPlus<YqGUnitMapper, YqGUnit, YqGUnit> {

    Page<YqGUnit> getList(@Param("p") YqGUnit bo, Page<?> page);

    YqGUnit getById(Long id);

    List<YqGUnit> getUnit(Long buildingId);

    YqGUnit getByName(@Param("name") String name, @Param("buildingId") Long buildingId);

    List<YqGUnit> getByNameList(@Param("name") String name, @Param("buildingId") Long buildingId);

    Long checkDataList(@Param("p") YqGUnit bo);
}
