package com.ruoyi.yiqi.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.ruoyi.common.core.mybatisplus.core.ServicePlusImpl;
import com.ruoyi.common.core.page.PagePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.PageUtils;
import com.ruoyi.common.utils.StringUtils;
//import com.ruoyi.gas.domain.GEnginePhoto;
//import com.ruoyi.gas.domain.GOtherEngine;
//import com.ruoyi.gas.domain.bo.GOtherEngineBo;
//import com.ruoyi.gas.domain.vo.GOtherEngineVo;
//import com.ruoyi.gas.mapper.GEnginePhotoMapper;
//import com.ruoyi.gas.mapper.GOtherEngineMapper;
//import com.ruoyi.gas.service.IGOtherEngineService;
import com.ruoyi.yiqi.entity.YqGOtherEngine;
import com.ruoyi.yiqi.entity.YqGPipeType;
import com.ruoyi.yiqi.mapper.YqGEnginePhotoMapper;
import com.ruoyi.yiqi.mapper.YqGOtherEngineMapper;
import com.ruoyi.yiqi.service.IYqGOtherEngineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 其他工程Service业务层处理
 *
 * @author ruoyi
 * @date 2021-11-22
 */
@Service
public class YqGOtherEngineServiceImpl implements IYqGOtherEngineService {

    @Resource
    private YqGOtherEngineMapper mapper;
    @Resource
    private YqGEnginePhotoMapper gEnginePhotoMapper;
    @Override
    public YqGOtherEngine queryById(Long id){
        return mapper.getById(id);
    }

    @Override
    public TableDataInfo<YqGOtherEngine> queryPageList(YqGOtherEngine bo) {
        Page<YqGOtherEngine> page = new Page<>(bo.getPageNum(), bo.getPageSize());
        Page<YqGOtherEngine> list = mapper.getList(bo, page);
        list.getRecords().forEach(i->{
            List<String> photo = gEnginePhotoMapper.getPhoto(i.getId());
            i.setPhoto(photo);
        });
        return PageUtils.buildDataInfo(list);

//
//
//        PagePlus<YqGOtherEngine, YqGOtherEngine> result = pageVo(PageUtils.buildPagePlus(), buildQueryWrapper(bo));
//        result.getRecordsVo().forEach(i->{
//            List<String> photo = gEnginePhotoMapper.getPhoto(i.getId());
//            i.setPhoto(photo);
//        });
//        return PageUtils.buildDataInfo(result);
    }

//    @Override
//    public List<YqGOtherEngine> queryList(YqGOtherEngine bo) {
//        return listVo(buildQueryWrapper(bo));
//    }
//
//    private LambdaQueryWrapper<YqGOtherEngine> buildQueryWrapper(YqGOtherEngine bo) {
//        Map<String, Object> params = bo.getParams();
//        LambdaQueryWrapper<YqGOtherEngine> lqw = Wrappers.lambdaQuery();
//        lqw.like(StringUtils.isNotBlank(bo.getName()), YqGOtherEngine::getName, bo.getName());
//        lqw.eq(StringUtils.isNotBlank(bo.getStatus()), YqGOtherEngine::getStatus, bo.getStatus());
//        lqw.eq(StringUtils.isNotBlank(bo.getEngineType()), YqGOtherEngine::getEngineType, bo.getEngineType());
//        lqw.orderByAsc(YqGOtherEngine::getNbSort);
//        lqw.orderByDesc(YqGOtherEngine::getUpdateTime);
//        return lqw;
//    }
    @Override
    public YqGOtherEngine getById(Long id) {
        YqGOtherEngine vo = queryById(id);
        List<String> photo = gEnginePhotoMapper.getPhoto(vo.getId());
        if (photo.size()>0){
            vo.setPhoto(photo);
        }
        return vo;
    }
}
