package com.ruoyi.web.controller.timer;

import com.ruoyi.zdsz.service.IZdszBigscreenService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class BigscreenAutoQueryYesterdayData extends BaseTask {
//    private static final String CRON = "0/20 * * * * ?"; // 每20秒输出一次
    private static final String CRON = "0 30 0 * * ?"; // 每日十二点三十分查询昨日数据

    @Resource
    private IZdszBigscreenService iZdszBigscreenService;

    @Override
    protected void run() {
//        System.out.println("【系统启动】开始(每20秒输出一次)...");
        iZdszBigscreenService.bigscreenAutoQueryYesterdayData(null);
        System.out.println("【系统提示】 查询大屏昨日数据已完成！");
    }

    @Override
    protected String getPattern() {
        return CRON;
    }
}
