package com.ruoyi.yiqi.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.ruoyi.common.core.mybatisplus.core.BaseMapperPlus;
//import com.ruoyi.gas.domain.GOrder;
//import com.ruoyi.gas.domain.bo.GOrderBo;
//import com.ruoyi.gas.domain.vo.*;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.yiqi.entity.YqGCensusVo;
import com.ruoyi.yiqi.entity.YqGOrder;
import com.ruoyi.yiqi.entity.YqGOrderExportVoAnJian;
import com.ruoyi.yiqi.entity.YqGOrderExportVoWeiXiu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 工程管理Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-16
 */
public interface YqGOrderMapper extends BaseMapperPlus<YqGOrderMapper, YqGOrder, YqGOrder> {

    Page<YqGOrder> getListAll(@Param("p") YqGOrder bo, Page<?> page);
    List<YqGOrder> getListExport(@Param("p") YqGOrder bo);
    Page<YqGOrder> getListExamine(@Param("p") YqGOrder bo, Page<?> page);

    YqGOrder getById(Long id);
    Long getByIdAndVersion(@Param("id")Long id,@Param("version")Integer version);

    //小区订单完成数
    int getCount(Long id);
    List<YqGCensusVo> getExaminePipeType(Long id);
    List<YqGCensusVo> getExaminePipeLength(Long id);
    List<YqGCensusVo> getExamineValveType(Long id);
    //订单选择房屋校验
    YqGOrder getOrderForStatus(@Param("houseId")Long houseId,@Param("id")String id);
    Page<YqGOrder> getListByStatus(@Param("p") YqGOrder bo, Page<?> page);
    //安检列表
    Page<YqGOrder> getListAnJian(@Param("p") YqGOrder bo, Page<?> page);
    //安检导出
    List<YqGOrderExportVoAnJian> getListAnJianExport(@Param("p") YqGOrder bo);
    //维修列表
    Page<YqGOrder> getListWeiXiu(@Param("p") YqGOrder bo, Page<?> page);
    //维修导出
    List<YqGOrderExportVoWeiXiu> getListWeiXiuExport(@Param("p") YqGOrder bo);
    //开栓列表
    Page<YqGOrder> getListKaiShuan(@Param("p") YqGOrder bo, Page<?> page);
    YqGOrder getByHouseId(Long houseId);
    int updateOrderByHouseId(@Param("houseId") Long houseId);
    int updateHouseId(@Param("xhouseId") Long xhouseId,@Param("yhouseId") Long yhouseId);
}
