package com.ruoyi.yiqi.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.yiqi.entity.YqGUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-12
 */
public interface YqGUserMapper extends BaseMapperPlus<YqGUserMapper, YqGUser, YqGUser> {

    Page<YqGUser> getList(@Param("p") YqGUser bo, Page<?> page);

    List<YqGUser> getWorker();

    Page<YqGUser> getBlacklist(@Param("p") YqGUser bo, Page<?> page);

    List<YqGUser> getExamineForeman(Long foremanId);

    List<YqGUser> getExamineWorker(Long workerId);

    YqGUser getForPhone(@Param("phone") Long phone, @Param("id") String id);

    YqGUser getForJobnum(@Param("jobNum") String jobNum, @Param("id") String id);
}
