package com.ruoyi.yiqi.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.common.core.domain.entity.YqSysDictData;
import com.ruoyi.common.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 字典表 数据层
 *
 * @author Lion Li
 */
public interface YqSysDictDataMapper extends BaseMapperPlus<YqSysDictDataMapper,YqSysDictData,YqSysDictData> {

    default List<YqSysDictData> selectDictDataByType(String dictType) {
        return selectList(
                new LambdaQueryWrapper<YqSysDictData>()
                        .eq(YqSysDictData::getStatus, "0")
                        .eq(YqSysDictData::getDictType, dictType)
                        .orderByAsc(YqSysDictData::getDictSort));
    }


}
