package com.ruoyi.yiqi.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.ruoyi.common.core.mybatisplus.core.ServicePlusImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.page.PagePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.PageUtils;
//import com.ruoyi.gas.domain.GValve;
//import com.ruoyi.gas.domain.bo.GValveBo;
//import com.ruoyi.gas.domain.vo.GValveVo;
//import com.ruoyi.gas.mapper.GValveMapper;
//import com.ruoyi.gas.service.IGValveService;
import com.ruoyi.yiqi.entity.YqGPipeType;
import com.ruoyi.yiqi.entity.YqGValve;
import com.ruoyi.yiqi.mapper.YqGValveMapper;
import com.ruoyi.yiqi.mapper.YqSysDictDataMapper;
import com.ruoyi.yiqi.service.IYqGValveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 自闭阀类别Service业务层处理
 *
 * @author ruoyi
 * @date 2021-12-08
 */
@Service
public class YqGValveServiceImpl implements IYqGValveService {
    @Resource
    private YqGValveMapper mapper;
    @Override
    public YqGValve queryById(Long id){
        return mapper.getById(id);
    }

    @Override
    public TableDataInfo<YqGValve> queryPageList(YqGValve bo) {
        Page<YqGValve> page = new Page<>(bo.getPageNum(), bo.getPageSize());
        Page<YqGValve> list = mapper.getList(bo, page);
        return PageUtils.buildDataInfo(list);

//        PagePlus<YqGValve, YqGValve> result = pageVo(PageUtils.buildPagePlus(), buildQueryWrapper(bo));
//        return PageUtils.buildDataInfo(result);
    }

//    @Override
//    public List<YqGValve> queryList(YqGValve bo) {
//        return listVo(buildQueryWrapper(bo));
//    }

//    private LambdaQueryWrapper<YqGValve> buildQueryWrapper(YqGValve bo) {
//        Map<String, Object> params = bo.getParams();
//        LambdaQueryWrapper<YqGValve> lqw = Wrappers.lambdaQuery();
//        return lqw;
//    }
}
