package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.bo.ZdszBigscreenBo;

import java.util.Map;

/**
 * 大屏首页Service接口
 *
 * @author ruoyi
 * @date 2024-08-05
 */
public interface IZdszBigscreenService {

    /**
     * 施工进度统计
     */
    public Map getConstructionProgress(ZdszBigscreenBo zdszBigscreenBo);

    /**
     * 工程状态统计
     */
    public Map getProjectStatus(ZdszBigscreenBo zdszBigscreenBo);
    /**
     * 今日施工数
     */
    public Map getCountEngineering(ZdszBigscreenBo zdszBigscreenBo);
    /**
     * 今日使用人数
     */
    public Map getCountPerson(ZdszBigscreenBo zdszBigscreenBo);
    /**
     * 地图施工数据分布
     */
    public Map getConstructionMap(ZdszBigscreenBo zdszBigscreenBo);
    /**
     * 各个区今日施工数
     */
    public Map getConstructionNew(ZdszBigscreenBo zdszBigscreenBo);
    /**
     * 各个区今日旧改施工数
     */
    public Map getConstructionOld(ZdszBigscreenBo zdszBigscreenBo);
    /**
     * 查询大屏昨日数据
     */
    public void bigscreenAutoQueryYesterdayData(String initTime);

    void batchInitData(String startTime);
}
